﻿/*****************************************************************************
This stylesheet is for custom status related styles.
*****************************************************************************/

.hideFilterOption
{
    display: none !important;
}

/* Job (workflow/transaction) state color information.
----------------------------------------------------------*/

.JobCompleteState 
{
	font-weight: bold;
	color: #5050FF;  /* Blue */
}

.JobFailedState
{
	font-weight: bold;
	color: #FF0000; /* Red */
}

.JobFailedStateRow
{
	font-weight: bold;
	color: Black;
	background-color: #FF0000 !important; /* Red */
}

.JobActiveState 
{
	font-weight: bold;
	color: #00FF00;  /* Green */
}

.JobActiveStateRow
{
	font-weight: bold;
	color: Black; 
	background-color: #00FF00 !important;  /* Green */
}

.JobStoppingState, .JobPausingState, .JobPausedState, .JobWaitingState
{
	font-weight: bold;
	color: #FFFF00;  /* Yellow */
}

.JobWaitingStateRow
{
	font-weight: bold;
	color: Black;  
	background-color: #FFFF00 !important; /* Yellow */
}

.JobStoppedByUserState 
{
	font-weight: bold;
	color: #FF00FF;  /* Magenta */
}

.JobStoppedByUserStateRow
{
	font-weight: bold;
	color: Black;
	background-color: #FF00FF !important; /* Red */
}

.JobWaitingToRetryState 
{
	font-weight: bold;
	color: #FFA500;  /* Orange */
}

.JobWaitingToRetryStateRow 
{
	font-weight: bold;
	color: Black; 
	background-color: #FFA500 !important;  /* Orange */
}

.JobDefaultState 
{
	font-weight: bold;
	color: #111111;  /* Default */
}